Bug 220404 - "Help" option on main menu nonfunctional - missing html file.
"Help" option on main menu nonfunctional - missing html file.
Product: Fedora
Classification: Fedora
Component: viruskiller (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 18:44 EST by Mike A. Harris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-02 07:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2006-12-20 18:44:34 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible: 100%

Steps to Reproduce:
1. Start game
2. Scroll down menu and choose "Help"
Actual results:

Game complains about missing "/usr/share/games/viruskiller/manual.html" file.
The file is however located in the /usr/share/doc hierarchy, but the game
looks for it in the aforementioned directory and doesn't find it.

Expected results:

Selecting "Help" off the main menu should display the manual.

Additional info:

A symbolic link in the location the game is looking for the file, pointing
to where it is being packaged in documentation would probably be sufficient,
however the package version is encoded in the directory name, so that'd
have to be calculated during packaging.  If one installs with --nodocs
however, this would result in a dead symlink.  Another possibility is
using a hardlink, or even just making a copy of the file - it's small
so disk space usage shouldn't be a concern per se.  Or just move it
to where the game is looking for it and forget about putting it in the
docs section, because someone is more likely to choose it from the in-game
menu, than they are to hunt through rpm doc directories.

Minor bug, but a bug nonetheless, so I thought I'd log it...
Comment 1 Matthias Saou 2007-02-02 07:56:42 EST
Since the manual.html file isn't actually displayed "in-game" (too bad), I've
simply added a substitution in %prep in order to have the path hardcoded in the
game to be the proper one (%{_docdir}/%{name}-%{version}/manual.html).

Note You need to log in before you can comment on or make changes to this bug.